%define upstream_name Filesys-POSIX
%define upstream_version 0.10.0

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 8

Summary:	Provide POSIX-like filesystem semantics in pure Perl
License:	Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/~wrath/Filesys-POSIX-0.10.0/lib/Filesys/POSIX.pm
Source0:	http://search.cpan.org/CPAN/authors/id/W/WR/WRATH/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl(Test::Exception)
BuildRequires:  perl(Test::NoWarnings)
BuildArch: noarch

%{?perl_default_filter}
# remove unsatisfied self requires:
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Filesys::POSIX::(IO|Mount|Userland))\\)$


%description
This modules provide POSIX-like filesystem semantics in pure Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

# Kharec: a bad .t file breaks the rebuild...
# %%check
# %%make_build test

%install
%make_install

%files
%doc COPYRIGHT LICENSE MANIFEST README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog
* Thu May 12 2016 tv <tv> 0.10.0-8.mga6
+ Revision: 1013940
- use std build macros; prevent commented macros to break build

* Sat Jan 30 2016 umeabot <umeabot> 0.10.0-7.mga6
+ Revision: 929064
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-6.mga5
+ Revision: 739119
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 tv <tv> 0.10.0-5.mga5
+ Revision: 736607
- add excludes

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-4.mga5
+ Revision: 684791
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.10.0-3.mga4
+ Revision: 511678
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 367473
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 09 2011 kharec <kharec> 0.10.0-1.mga1
+ Revision: 82538
- imported package perl-Filesys-POSIX

